<?xml version='1.0' encoding='utf-8' standalone='yes' ?>
<carrier_config_list>
    <carrier_config>
        <boolean name="rtt_supported_bool" value="true" />
        <boolean name="carrier_volte_provisioned_bool" value="true" />
        <boolean name="allow_hold_in_ims_call" value="false" />
        <boolean name="world_mode_enabled_bool" value="true" />
        <boolean name="sms_requires_destination_number_conversion_bool" value="true" />
        <boolean name="mdn_is_additional_voicemail_number_bool" value="true" />
        <boolean name="carrier_vt_available_bool" value="true" />
        <boolean name="support_downgrade_vt_to_audio_bool" value="false" />
        <boolean name="notify_handover_video_from_wifi_to_lte_bool" value="true" />
        <boolean name="notify_handover_video_from_lte_to_wifi_bool" value="true" />
        <boolean name="carrier_allow_turnoff_ims_bool" value="false" />
        <boolean name="carrier_volte_provisioning_required_bool" value="true" />
        <boolean name="treat_downgraded_video_calls_as_video_calls_bool" value="true" />
        <boolean name="drop_video_call_when_answering_audio_call_bool" value="true" />
        <boolean name="operator_selection_expand_bool" value="true" />
        <int name="aliasMinChars" value="2" />
        <boolean name="dtmf_type_enabled_bool" value="true" />
        <int name="smsToMmsTextThreshold" value="7" />
        <boolean name="enabledTransID" value="true" />
        <boolean name="aliasEnabled" value="true" />
        <boolean name="voicemail_notification_persistent_bool" value="true" />
        <boolean name="allowAttachAudio" value="false" />
        <boolean name="support_swap_after_merge_bool" value="false" />
        <int name="recipientLimit" value="20" />
        <string name="uaProfTagName">Profile</string>
        <int name="aliasMaxChars" value="48" />
        <int name="maxImageHeight" value="1944" />
        <int name="lte_earfcns_rsrp_boost_int" value="6" />
        <string-array name="boosted_lte_earfcns_string_array" num="2">
            <item value="600-1199" />
            <item value="1950-2399" />
        </string-array>
        <boolean name="carrier_volte_available_bool" value="true" />
        <boolean name="support_pause_ims_video_calls_bool" value="true" />
        <int name="maxSubjectLength" value="80" />
        <string name="httpParams">x-up-calling-line-id: 1##LINE1NOCOUNTRYCODE##|X-VzW-MDN: 1##LINE1NOCOUNTRYCODE##</string>
        <string name="emailGatewayNumber">6245</string>
        <int name="maxMessageSize" value="1258291" />
        <boolean name="enableMMSReadReports" value="false" />
        <boolean name="prefer_2g_bool" value="false" />
        <int name="maxImageWidth" value="2592" />
        <int name="volte_replacement_rat_int" value="6" />
        <boolean name="enabledNotifyWapMMSC" value="true" />
        <boolean name="enableMultipartSMS" value="true" />
        <boolean name="allow_adding_apns_bool" value="false" />
        <boolean name="broadcast_emergency_call_state_changes_bool" value="true" />
        <string name="carrier_eri_file_name_string">eri_311480.xml</string>
        <boolean name="carrier_wfc_ims_available_bool" value="true" />
        <int name="carrier_default_wfc_ims_mode_int" value="1"/>
        <boolean name="treat_downgraded_video_calls_as_video_calls_bool" value="true" />
        <boolean name="drop_video_call_when_answering_audio_call_bool" value="true" />
        <boolean name="editable_wfc_mode_bool" value="false"/>
        <boolean name="editable_wfc_roaming_mode_bool" value="true"/>
        <boolean name="allow_merge_wifi_calls_when_vowifi_off_bool" value="false" />
        <boolean name="wifi_calls_can_be_hd_audio" value="false" />
        <boolean name="video_calls_can_be_hd_audio" value="false" />
        <boolean name="allow_add_call_during_video_call" value="false" />
        <boolean name="persist_lpp_mode_bool" value="true" />
        <string name="default_vm_number_string">*86</string>
        <string-array name="dial_string_replace_string_array" num="2">
            <item value="*611:+19085594899" />
            <item value="*86:+1MDN" />
        </string-array>
        <string-array name="carrier_data_call_permanent_failure_strings" num="14">
            <item value="OPERATOR_BARRED" />
            <item value="MISSING_UNKNOWN_APN" />
            <item value="UNKNOWN_PDP_ADDRESS_TYPE" />
            <item value="USER_AUTHENTICATION" />
            <item value="SERVICE_OPTION_NOT_SUPPORTED" />
            <item value="SERVICE_OPTION_NOT_SUBSCRIBED" />
            <item value="NSAPI_IN_USE" />
            <item value="ONLY_IPV4_ALLOWED" />
            <item value="ONLY_IPV6_ALLOWED" />
            <item value="RADIO_POWER_OFF" />
            <item value="TETHERED_CALL_ACTIVE" />
            <item value="RADIO_NOT_AVAILABLE" />
            <item value="UNACCEPTABLE_NETWORK_PARAMETER" />
            <item value="SIGNAL_LOST" />
        </string-array>
        <boolean name="carrier_promote_wfc_on_call_fail_bool" value="true" />
        <string-array name="ims_reasoninfo_mapping_string_array" num="10">
            <item value="332|simultaneous call limit has already been reached|1403" />
            <item value="332|Forbidden: Simultaneous Call Limit Has Already Been Reached|1403" />
            <item value="338|another device sent all devices busy response|1404" />
            <item value="501|call completion elsewhere|1014" />
            <item value="501|call has been pulled by another device|1016" />
            <item value="510|call has been pulled by another device|1016" />
            <item value="501|another device sent all devices busy response|1404" />
            <item value="510|another device sent all devices busy response|1404" />
            <item value="1014|call has been pulled by another device|1016" />
            <item value="*|Call is dropped due to Wi-Fi signal is degraded|1407" />
        </string-array>
        <boolean name="disable_severe_when_extreme_disabled_bool" value="false" />
        <boolean name="mmsCloseConnection" value="true"/>
        <boolean name="notify_vt_handover_to_wifi_failure_bool" value="true" />
        <int name="wfc_spn_format_idx_int" value="1" />
        <string-array name="filtered_cnap_names_string_array" num="2">
            <item value="WIRELESS CALLER" />
            <item value="UNKNOWN NAME" />
        </string-array>
        <string-array name="read_only_apn_fields_string_array" num="20">
            <item value="name" />
            <item value="proxy" />
            <item value="port" />
            <item value="user" />
            <item value="password" />
            <item value="server" />
            <item value="mmsc" />
            <item value="mmsproxy" />
            <item value="mmsport" />
            <item value="mcc" />
            <item value="mnc" />
            <item value="authtype" />
            <item value="type" />
            <item value="protocol" />
            <item value="roaming_protocol" />
            <item value="bearer" />
            <item value="bearer_bitmask" />
            <item value="carrier_enabled" />
            <item value="mvno_type" />
            <item value="mvno_match_data" />
        </string-array>
        <string-array name="carrier_metered_apn_types_strings" num="3">
            <item value="default" />
            <item value="dun" />
            <item value="supl" />
        </string-array>
        <string-array name="carrier_metered_roaming_apn_types_strings" num="4">
            <item value="default" />
            <item value="dun" />
            <item value="mms" />
            <item value="supl" />
        </string-array>
        <boolean name="is_ims_conference_size_enforced_bool" value="true"/>
        <int name="ims_conference_size_limit_int" value="5" />
        <boolean name="support_3gpp_call_forwarding_while_roaming_bool" value="false" />
        <string-array name="call_forwarding_blocks_while_roaming_string_array" num="2">
            <item value="*71" />
            <item value="*72" />
        </string-array>
        <boolean name="disable_voice_barring_notification_bool" value="true" />
        <boolean name="carrier_name_override_bool" value="true" />
        <string name="carrier_name_string">Verizon</string>
        <int-array name="lte_rsrp_thresholds_int_array" num="4">
            <item value="-115" />  <!-- SIGNAL_STRENGTH_POOR -->
            <item value="-105" />  <!-- SIGNAL_STRENGTH_MODERATE -->
            <item value="-95" />  <!-- SIGNAL_STRENGTH_GOOD -->
            <item value="-85" />  <!-- SIGNAL_STRENGTH_GREAT -->
        </int-array>
        <boolean name="show_apn_setting_cdma_bool" value="true" />
    </carrier_config>
    <!-- Tracfone Vzw shows empty string as SPN -->
    <carrier_config gid1="BA01270000000000">
        <boolean name="carrier_name_override_bool" value="true" />
        <string name="carrier_name_string"></string>
    </carrier_config>
    <!-- XFINITY Mobile as operator name for Xfinity -->
    <carrier_config gid1="BA01450000000000">
        <boolean name="cdma_home_registered_plmn_name_override_bool" value="true" />
        <string name="cdma_home_registered_plmn_name_string">XFINITY Mobile</string>
    </carrier_config>
</carrier_config_list>
